/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  GeneratePress child theme
 Author:       Digitalszene - Michael Moebius
 Author URI:   https://www.digitalszene.de
 Template:     generatepress
 Version:      0.1
*/


/* Titel mit Unterstreichung */
.main-title a {
    text-decoration: underline;
    text-decoration-color: #66B6FF; /* Farbe nach Wunsch anpassen */
    text-decoration-thickness: 6px;
    text-underline-offset: 4px;
    text-decoration-skip-ink: auto;
}


/* Button als Link - Farbe */
body a.gbp-button--primary,
body a.gbp-button--primary:visited {
  color: #fff;
}
body a.gbp-button--primary:hover,
body a.gbp-button--primary:hover:visited {
  color: #fff;
}


/* Wasserzeichen-Hintergrund - nicht auf der Startseite/Kontakt */
body:not(.home):not(.page-id-19140)::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('logo-watermark.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    opacity: 0.08;
    z-index: 9999;
    pointer-events: none;
}


/* Header mobil */
@media (max-width: 768px) {
    .has-inline-mobile-toggle .inside-header {
        flex-direction: column;
    }
    .main-navigation .menu-toggle {
        display: inline-flex;
	}
}

/* Abstand Titel und Menü */
@media (max-width: 1684px) {
    .site-branding {
        margin-bottom: 0.5rem;
    }
}
@media (max-width: 1684px) {
    #site-navigation {
        margin-bottom: 0.5rem;
    }
}


/* Leistungen-Grid mobil */
@media (max-width: 1024px) {
    .leistungen-grid > *:last-child {
        grid-column: 1 / -1;
        justify-self: center;
        width: 100%;
        max-width: calc(50% - 1rem);
    }
}

@media (max-width: 767px) {
    .leistungen-grid > *:last-child {
        justify-self: stretch;
        max-width: 100%;
    }
}


/* Aufzählungspunkte bündig links */
.entry-content ul,
.entry-content ol {
    padding-left: 1.2em; /* für die Bullet-Punkte selbst, minimal nötig damit sie nicht abgeschnitten werden */
    margin-left: 0;
}


/* Sticky CTA */
.sticky-social-icons {
    position: fixed;
    right:0px;
    top: 50%;
}


/* Ken Burns */
a:has(img.ken-burns-hover) {
    display: block;
    overflow: hidden;
    position: relative;
    border-radius: 1.5rem; /* falls du den Radius am Container hast */
}

img.ken-burns-hover {
    display: block;
    width: 100%;
    transition: transform 1.5s cubic-bezier(0.25, 1, 0.5, 1);
    transform-origin: center center;
}

img.ken-burns-hover.kb-active {
    transform: scale(1.15) translate(5px, -5px);
}

/* Back to top */
.generate-back-to-top {
    border-radius: 0.5rem;
}


/* Cookie-Notice Button */
#cookie-notice .cn-button.hih-button {
    font-size: 1rem;
	border-radius: 0.5rem;
	background-color: #031869;
    color: #fff;
    padding: 5px 15px;
}
#cookie-notice .cn-close-icon,
#cookie-notice .cn-close-icon {
    display: none;
}


/* Contact Form 7 - Input Fix */
span.wpcf7-list-item {
    margin: 0;
}
.wpcf7-form .small {
    font-size: .8em;
}
textarea.wpcf7-textarea {
    max-height: 120px;
}
/* Contact Form 7 - Checkbox/Radio Liste */
.wpcf7-form-control.wpcf7-checkbox,
.wpcf7-form-control.wpcf7-radio {
    display: grid;
}
/* Contact Form 7 - Column Grid */
.dwp-form {
    width: 100%;
    margin: 0 auto;
}
.dwp-form-row {
    display: flex;
    flex-direction: column;
    width: 100%;
}
.dwp-form-row .wpcf7-form-control,
.wpcf7-form label {
    width: 100%;
}
.dwp-form-column {
    flex: 1;
    padding: 0.5rem 0;
    width: 100%;
}
.dwp-form-column:first-of-type {
    padding-left: 0;
}
.dwp-form-column:last-of-type {
    padding-right: 0;
}
/* Notebook / Desktop */
@media only screen and ( min-width: 48em ) {
    .dwp-form-row {
        flex-direction: row;
    }
    .dwp-form-column {
        padding: 0.5rem 1rem;
    }
}

/* CF7 Button */
button, input[type="button"],
input[type="reset"],
input[type="submit"] {
	padding: 8px 16px;
    border-radius: 8px;
	font-weight: 700;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    text-decoration: none;
    transition: .2s background-color ease-in-out, .2s color ease-in-out, .2s border-color ease-in-out, .2s opacity ease-in-out, .2s box-shadow ease-in-out;
}
button, input[type="button"]:hover,
input[type="reset"]:hover,
input[type="submit"]:hover,
button, input[type="button"]:focus,
input[type="reset"]:focus,
input[type="submit"]:focus,
button, input[type="button"]:active,
input[type="reset"]:active,
input[type="submit"]:active {
    color: #ffffff;
	background-color: #031869;
}